%define		package	Console
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Console Component
Name:		php-symfony2-Console
Version:	2.7.5
Release:	3
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	5aae04448cc1f018f52bea94b863484d
URL:		http://symfony.com/doc/2.7/components/console/index.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-pear >= 4:1.3.10
Suggests:	php(posix)
Suggests:	php-psr-Log
Suggests:	php-symfony2-EventDispatcher
Suggests:	php-symfony2-Process
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Console component eases the creation of beautiful and testable
command line interfaces.

%prep
%setup -q -n console-%{version}

%build
phpab -n -e '*/Tests/*' -o autoloader.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}/Tests
# bad os
rm $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}/Resources/bin/hiddeninput.exe

%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/Console
%{php_pear_dir}/Symfony/Component/Console/*.php
%{php_pear_dir}/Symfony/Component/Console/Command
%{php_pear_dir}/Symfony/Component/Console/Descriptor
%{php_pear_dir}/Symfony/Component/Console/Event
%{php_pear_dir}/Symfony/Component/Console/Formatter
%{php_pear_dir}/Symfony/Component/Console/Helper
%{php_pear_dir}/Symfony/Component/Console/Input
%{php_pear_dir}/Symfony/Component/Console/Logger
%{php_pear_dir}/Symfony/Component/Console/Output
%{php_pear_dir}/Symfony/Component/Console/Question
%{php_pear_dir}/Symfony/Component/Console/Style
%{php_pear_dir}/Symfony/Component/Console/Tester
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Console.git;a=log;h=auto/th/php-symfony2-Console-2.7.5-3

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 5c17451
- up to 2.7.5

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 326f66d
- fix php-pear dependency

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 99794c5
- update php_min_version to 5.3.9

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 44bafd5
- package new files

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 280825c
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> f2aa7d7
- use autoloader.php as autoload bootstrap (for php-phpunit-phploc)

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 6da672b
- cleanups, unify

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 62e0356
- skip hiddeninput.exe

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 4557217
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> ab4fe9b
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 766d7e8
- suggest posix extension for terminal colors

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 0a385d2
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> b8d3ef7
- update suggests

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> e6d4435
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 328b0d3
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> c024d6d
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> c52380c
- more specific url

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> 7f9a5fc
- R: php-pear >= 1.3.10 for Symfony/Component dir

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> a2cf441
- set php_min_version (5.3.3)

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> 8809103
- new, version 2.1.4

